## org.flexdock.logging
Interface Logger

All Known Implementing Classes:
  SimpleLogger

Deprecated.

    public interface Logger

If a client application wants control over where internal flexdock logging statements are written it should supply an instance of this interface to `Log.setLogger(Logger)` at application startup time.

Method Summary
`void` `debug(java.lang.String message)` Deprecated. Log a debug message.
`void` `debug(java.lang.String message, java.lang.Throwable t)` Deprecated. Log a debug message and provide a `Throwable` for details.
`void` `error(java.lang.String message)` Deprecated. Log an error.
`void` `error(java.lang.String message, java.lang.Throwable t)` Deprecated. Log an error and provide a `Throwable` for details.
`void` `warn(java.lang.String message)` Deprecated. Log a warning.
`void` `warn(java.lang.String message, java.lang.Throwable t)` Deprecated. Log a warning and provide a `Throwable` for details.

Method Detail

### error

    void error(java.lang.String message)

  Deprecated.
  Log an error. An error is a condition that may cause flexdock to behave unexpectedly afterwards.

  Parameters:
    `message` - error message to log

### error

    void error(java.lang.String message,
               java.lang.Throwable t)

  Deprecated.
  Log an error and provide a `Throwable` for details. An error is a condition that may cause flexdock to behave unexepctedly afterwards.

  Parameters:
    `message` - error message to log
    `t` - details of the error

### warn

    void warn(java.lang.String message)

  Deprecated.
  Log a warning. A warning is a condition that will not cause flexdock to behave unexpectedly but is considered severe enough that it should be noticed in the log by support staff.

  Parameters:
    `message` - warning message to log

### warn

    void warn(java.lang.String message,
              java.lang.Throwable t)

  Deprecated.
  Log a warning and provide a `Throwable` for details. A warning is a condition that will not cause flexdock to behave unexpectedly but is considered severe enough that it should be noticed in the log by support staff.

  Parameters:
    `message` - warning message to log
    `t` - details of the warning

### debug

    void debug(java.lang.String message)

  Deprecated.
  Log a debug message. A debug message is not expected to be logged in production systems. It can be used to help in debugging functionality under development.

  Parameters:
    `message` - debug message to log

### debug

    void debug(java.lang.String message,
               java.lang.Throwable t)

  Deprecated.
  Log a debug message and provide a `Throwable` for details. A debug message is not expected to be logged in production systems. It can be used to help in debugging functionality under development.

  Parameters:
    `message` - debug message to log
    `t` - details of the debug message